/*
 * colors.scss
 * emilien <emilien@emilien-pc>, 2020
 */

$colors: (
	"white": #fff,
	"gray-400": #f4f5f7,
	"gray-500": #eeeff4,
	"gray-600": #959595,
	"gray-700": #838383,
	"gray-800": #4f4f4f,
	"gray-900": #1d1d1d,
	"gray-1000": #1b1b1b,
	"gray-1100": #131313,
	"red": #f94144,
	"red-2": #d5191d,
	"orange": #f3722c,
	"peach": #f8961e,
	"yellow": #f9c74f,
	"green": #90be6d,
	"teal": #43aa8b,
	"sea": #577590,
	"blue": #0091ff,
	"purple": #845db7,
	"fuschia": #b85a92,
);

@function clr($color) {
	@return map-get($colors, $color);
}

@function clr_mix($color1, $color2) {
	@return mix(clr($color1), clr($color2));
}

@function toRGB ($color) {
	@return rgb(red($color), green($color), blue($color));
}


